package de.duehl.gameoflife.logic.randomBoolean;

import java.util.Random;

public class RandomBooleanInitializer implements BooleanInitializer {

    Random random;

    public RandomBooleanInitializer() {
        random = new Random();
    }

    public RandomBooleanInitializer(long seed) {
        random = new Random(seed);
    }

    @Override
    public boolean getInitialValue() {
        return random.nextBoolean();
    }

}
