package de.duehl.gameoflife.logic.randomBoolean;

import static org.junit.Assert.*;

import org.junit.Test;

import de.duehl.gameoflife.logic.randomBoolean.BooleanInitializer;
import de.duehl.gameoflife.logic.randomBoolean.RandomBooleanInitializer;

public class RandomBooleanInitialiserTest {

    @Test
    public void create1() {
        BooleanInitializer initializer = new RandomBooleanInitializer();
        assertNotNull(initializer);
    }

    @Test
    public void create2() {
        BooleanInitializer initializer = new RandomBooleanInitializer(17L);
        assertNotNull(initializer);
    }

    @Test
    public void getInitialValue1() {
        BooleanInitializer initializer = new RandomBooleanInitializer(0L);
        boolean actual = initializer.getInitialValue();
        assertEquals(true, actual);
    }

    @Test
    public void getInitialValue2() {
        BooleanInitializer initializer = new RandomBooleanInitializer(0L);
        //for (int i=0; i<10; ++i) {
        //    System.out.println(initializer.getInitialValue());
        //}
        // true, true, false, true, true, false, true, false, true, true
        initializer.getInitialValue(); // ersten verbrauchen
        initializer.getInitialValue(); // zweiten verbrauchen
        boolean actual = initializer.getInitialValue();
        assertEquals(false, actual);
    }

}
