package de.duehl.basics.start;

/*
 * Copyright 2016 Christian Dühl. All rights reserved.
 *
 * This program is free software. You can redistribute it and/or
 * modify it under the same terms as perl:
 *
 * general:  http://dev.perl.org/licenses/
 * GPL:      http://dev.perl.org/licenses/gpl1.html
 * artistic: http://dev.perl.org/licenses/artistic.html
 */

import de.duehl.basics.io.TextFileCompare;

public class TextFileCompareTest {

    public static void main(String[] args) {
        compare("u:/jerwent/regeln/cne_articles_of_partnership.txt",
                "u:/jerwent/regeln/cne_articles_of_partnership.txt");
        compare("u:/jerwent/regeln/cne_articles_of_partnership.txt",
                "u:/jerwent/regeln/cne_articles_of_partnership.txt_NICHT_DA");
        compare("u:/jerwent/regeln/cne_articles_of_partnership.txt_NICHT_DA",
                "u:/jerwent/regeln/cne_articles_of_partnership.txt");
        compare("u:/jerwent/regeln/cne_articles_of_partnership.txt_NICHT_DA",
                "u:/jerwent/regeln/cne_articles_of_partnership.txt_NICHT_DA");
        compare("u:/jerwent/regeln/cne_articles_of_partnership.txt",
                "u:/jerwent/regeln/cne_capital.txt");
    }

    private static void compare(String firstFilename, String secondFilename) {
        TextFileCompare compare = new TextFileCompare();
        boolean equal = compare.isContentEqual(firstFilename, secondFilename);
        System.out.println("Die Dateien\n\t" + firstFilename + "\nund\n\t"
                + secondFilename + "\nsind "
                + (equal ? "identisch" : "unterschiedlich") + ".");
    }

}
